Bug 511370 - RFE: Allow arch exclusion of delta rpms
RFE: Allow arch exclusion of delta rpms
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mash (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 16:23 EDT by Josh Boyer
Modified: 2014-03-16 23:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-13 15:11:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2009-07-14 16:23:23 EDT
Description of problem:

Delta RPMs takes friggin forever.  Anything we can do to make it faster would be welcome.  Right now, mash will make deltarpms for any arch passed in the arches config variable.  This means we create deltas for ppc and ppc64

Version-Release number of selected component (if applicable):

I dunno.  Whatever we use on releng2.  Or HEAD

Additional info:

We should look at adding a:

delta_exclude_arches

(or other suitably named) option.  This would allow us to skip creating deltarpms for architectures that have a very small userbase (like for the ppc64 repo).
Comment 1 Bill Nottingham 2011-12-13 15:11:32 EST
Upon consideration, I think this is too much feature creep to have differing defaults & experiences between different arches in a repo.

Note You need to log in before you can comment on or make changes to this bug.